From: Anton Mikanovich <amikan@ilbers.de>
To: isar-users@googlegroups.com
Cc: Uladzimir Bely <ubely@ilbers.de>, Anton Mikanovich <amikan@ilbers.de>
Subject: [PATCH v2 6/6] CI: Install mmdebstrap
Date: Thu, 18 May 2023 12:47:16 +0300 [thread overview]
Message-ID: <20230518094716.117770-7-amikan@ilbers.de> (raw)
In-Reply-To: <20230518094716.117770-1-amikan@ilbers.de>
From: Uladzimir Bely <ubely@ilbers.de>
Signed-off-by: Anton Mikanovich <amikan@ilbers.de>
---
scripts/ci_build.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index 2fa5cccd..055f9211 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -127,6 +127,12 @@ if echo "$TAGS" | grep -Fqive "-startvm"; then
fi
fi
+# install mmdebstrap
+if ! command -v mmdebstrap > /dev/null; then
+ sudo apt-get update -qq
+ sudo apt-get install -y mmdebstrap
+fi
+
# Provide working path
mkdir -p .config/avocado
cat <<EOF > .config/avocado/avocado.conf
--
2.34.1
next prev parent reply other threads:[~2023-05-18 9:47 UTC|newest]
Thread overview: 15+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-18 9:47 [PATCH v2 0/6] Migrate to mmdebstrap Anton Mikanovich
2023-05-18 9:47 ` [PATCH v2 1/6] meta: Switch " Anton Mikanovich
2023-05-20 4:50 ` MOESSBAUER, Felix
2023-05-20 9:23 ` Anton Mikanovich
2023-05-21 6:38 ` Jan Kiszka
2023-05-18 9:47 ` [PATCH v2 2/6] isar-bootstrap: Move preparations to hooks Anton Mikanovich
2023-05-18 9:47 ` [PATCH v2 3/6] isar-bootstrap: Use tar output instead of directory Anton Mikanovich
2023-05-18 9:47 ` [PATCH v2 4/6] user_manual.md: Replace debootstrap with mmdebstrap Anton Mikanovich
2023-05-19 4:55 ` Jan Kiszka
2023-05-19 6:14 ` Anton Mikanovich
2023-05-18 9:47 ` [PATCH v2 5/6] isar-bootstrap: Remove unused code Anton Mikanovich
2023-05-18 9:47 ` Anton Mikanovich [this message]
2023-05-19 4:57 ` [PATCH v2 0/6] Migrate to mmdebstrap Jan Kiszka
2023-05-19 6:13 ` Anton Mikanovich
2023-05-19 12:55 ` Jan Kiszka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20230518094716.117770-7-amikan@ilbers.de \
--to=amikan@ilbers.de \
--cc=isar-users@googlegroups.com \
--cc=ubely@ilbers.de \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox